<?php
namespace App\Http\Controllers\V2;
use App\Http\Controllers\BaseController;
use App\Repositories\FloorRepository;
use App\Transformers\FloorTransformer;
use Illuminate\Http\Request;
use League\Fractal\Resource\Collection;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/15
 * Time: 下午4:30
 */

class FloorController extends BaseController
{
    public function __construct(FloorRepository $floorRepository)
    {
        $this->floorRepository = $floorRepository;
    }

    //楼层列表
    public function index(Request $request)
    {
        $floor = $this->floorRepository->index($request->all());
        $fractal = new Manager();
        $resource = new Collection($floor , new FloorTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($floor));
        $data = $fractal->createData($resource)->toArray();
        return $this->jsonSuccess($data);
    }

    /**
     * 推荐内容列表
     */
    public function info()
    {
        return $this->floorRepository->info();
    }

    /**
     * 热门视频ids
     */
    public function hotVideoIds()
    {
        return $this->floorRepository->hotVideoIds();
    }

}